| Home | Libraries | People | FAQ | More

##### bounds()

Returns the box able to contain all values stored in the container.

###### Description

Returns the box able to contain all values stored in the container. If the container is empty the result of ``geometry::assign_inverse()`` is returned.

###### Synopsis

    bounds_type bounds()

###### Modifier(s)

    const

###### Returns

The box able to contain all values stored in the container or an invalid box if there are no values in the container.

###### Throws

Nothing.